VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IMutableStepValue Class Referenceabstract

`#include <value.h>`

Inheritance diagram for IMutableStepValue:

## Public Member Functions
virtual bool | setNumSteps (IStepValue::StepType numSteps)=0
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Member Function Documentation

## ◆ setNumSteps()

virtual bool setNumSteps | ( | IStepValue::StepType | numSteps | ) |
| pure virtual

The documentation for this class was generated from the following file:

- value.h